X-Git-Url: https://git.exim.org/users/heiko/exim.git/blobdiff_plain/b7e8c96e9bfd6fe9505230359138f59b731054e5..ee359040f0c1e78c057bb1e533059c5c3d9e2c69:/release-process/scripts/sign_exim_packages

diff --git a/release-process/scripts/sign_exim_packages b/release-process/scripts/sign_exim_packages
index a504ea826..e76840996 100755
--- a/release-process/scripts/sign_exim_packages
+++ b/release-process/scripts/sign_exim_packages
@@ -40,24 +40,24 @@ case "${EXIM_KEY:-default}" in
 default|DEFAULT)
 	gpg_sign() { ${GPG_COMMAND} --detach-sig --armor "${1:?}" ; }
 	;;
-*) 
+*)
 	gpg_sign() { ${GPG_COMMAND} --local-user "${EXIM_KEY}" --detach-sig --armor "${1:?}" ; }
 	;;
 esac
 
 cd_to() { echo "Working in: $1"; cd "$1"; }
 
-okay=false
-if [ -d ../../release-process ] && [ "${PWD##*/}" = "pkgs" ]; then
-	okay=true # we are in right dir
-elif [ -d release-process ]; then
-	b="$(find . -maxdepth 1 -name 'exim-packaging-*' | sort | tail -n 1)"
-	if [ ".$b" != "." ]; then
-		cd_to "$b/pkgs"
-		okay=true
-	fi
-fi
-if ! $okay; then
+#okay=false
+#if [ -d ../../release-process ] && [ "${PWD##*/}" = "pkgs" ]; then
+#	okay=true # we are in right dir
+#elif [ -d release-process ]; then
+#	b="$(find . -maxdepth 1 -name 'exim-packaging-*' | sort | tail -n 1)"
+#	if [ ".$b" != "." ]; then
+#		cd_to "$b/pkgs"
+#		okay=true
+#	fi
+#fi
+#if ! $okay; then
 	if [ -d "${1:?need a directory to look in}" ]; then
 		cd_to "$1"
 		shift
@@ -65,11 +65,10 @@ if ! $okay; then
 		printf "%s: %s\n" >&2 "$(basename "$0")" "where should I be looking"
 		exit 1
 	fi
-fi
+#fi
 
 # Assumes no whitespace (strictly, $IFS) in filenames, which we're okay with
 set $(find . -name '*.asc' -prune -o -type f -print | cut -c 3- | sort)
-
 for FILE
 do
 	echo "Signing: $FILE"